<template>
  <div class="data-list" v-if="list && list.length">
    <div v-for="(item) in list" :key="item.uuid" class="data-list__item">
      <i v-if="item.icon" class="icon" :class="item.icon"></i>
      <span class="data-list__item-title">
        {{ item[titleProp] }}
        <slot v-bind:item="item"></slot>
      </span>
    </div>
    <div v-if="summary" class="data-list__summary">
      Всего: {{ list.length }}
    </div>
  </div>
</template>
<script>

export default {
  name: 'DataList',
  props: {
    list: {
      type: Array,
      default: () => [],
    },
    titleProp: {
      type: String,
      default: 'title',
    },
    summary: {
      type: Boolean,
      default: false,
    }
  },
}
</script>
<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.data-list{
  border: 1px solid #EAF5FA;
  border-radius: 3px;
  margin-bottom: 40px;

  &__summary{
    background: #F8FCFE;
    height: 30px;
    font-size: 12px;
    display: flex;
    align-items: center;
    padding: 0 20px;
    text-transform: uppercase;
    color: $shale-gray;
    border-radius: 0 0 3px 3px;
  }

  &__item{
    display: flex;
    align-items: center;
    border-bottom: 1px solid #EAF5FA;
    padding: 12px 20px;

    &:first-child{
     border-radius: 3px 3px 0 0;
    }

    &:last-child{
      border-bottom: none;
    }

    & > span{
      color: $cobalt-black;
      margin-left: 10px;
    }

    .icon {
      color: $blue-dust;
      font-size: 18px;
      width: 20px;
    }

  }

  &__item-title{

  }
}


</style>
